<template>
  <el-button-group>
      <el-button size="mini" @click="toggleEditHandle">{{hasEdit ? "停止编辑" : "编辑"}}</el-button>
      <el-button size="mini" @click="clearHandle">清空</el-button>
      <el-button size="mini" @click="downloadHandle">下载</el-button>
      <!-- <el-button size="mini" @click="togglePopup">{{enablePopup ? "禁止弹窗" : "开启弹窗"}}</el-button> -->
  </el-button-group>
</template>

<script>

import { saveAs } from "file-saver";
import { global, wutu3d } from "../../global";

export default {
  data() {
    return  {
      enablePopup: true,
    }
  },
  computed: {
    timestamp() {
        return this.$store.state.map.timestamp;
    },
    hasEdit() {
      return this.timestamp && global.map ? global.map.isPlotEditing() : true;
    }
  },
  methods: {
    toggleEditHandle() {
      if(!global.map) return;
      global.map.setPlotEditable(!this.hasEdit);
      this.$store.dispatch("map/updateTimestamp");
    },
    clearHandle() {
      if(!global.map) return;
      global.map.clearAllPlots();
      this.$store.dispatch("map/updateTimestamp");
    },
    downloadHandle() {
      if(!global.map) return;
      const json = JSON.stringify(global.map.toGeoJSON());
      var blob = new Blob([json], {type: "text/plain;charset=utf-8"});
      saveAs(blob, "plots_" + new Date().getTime() + ".geojson");
    },
    togglePopup() {
      this.enablePopup = !this.enablePopup;
    }
  },
  mounted() {
      
  }
}
</script>

<style>

</style>